Subject: Re: [RFC PATCH v3 1/1] unit tests: Add a project plan document

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Jul 2023 12:02:29 -0700

Glen Choo <[email-masked]> writes:

> - Inline tests are, by nature, non-production 'noise' in the source
>   file, and can hamper readability of the file. This will probably be
>   exaggerated in Git because our interfaces weren't designed with unit
>   tests in mind, so tests may be extremley noisy to set up.

I do agree with the first sentence, but I am not sure what you mean
by "our interfaces weren't designed with unit tests in mind".  Do
you mean that in the longer term it would be good to tweak the
interfaces with "unit tests in mind" (and add new interfaces that
way?  Or do you mean interfaces that are written with "unit tests
in mind" inherently becomes noisy when inline non-production tests
are mixed in?